Sha256: 5cb6c0b5516a7fe1bdbb36f3a6476593044c8c4eeb86f750d6fd706b724dbcd7
Contents?: true
Size: 711 Bytes
Versions: 87
Compression:
Stored size: 711 Bytes
Contents
#! /bin/sh PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin DAEMON=/usr/local/bin/god NAME=god DESC=god PIDFILE=/var/run/god.pid LOGFILE=/var/log/god.log DAEMON_ARGS="-c /etc/god/god.conf -P $PIDFILE -l $LOGFILE --no-syslog" test "$(id -u)" = "0" || exit 0 test -x $DAEMON || exit 0 set -e case "$1" in start) echo -n "Starting $DESC: " if $DAEMON $DAEMON_ARGS then echo "$NAME." else echo "failed" fi ;; stop) echo -n "Stopping $DESC: " if $DAEMON quit then echo "$NAME." else echo "failed" fi rm -f $PIDFILE ;; restart|force-reload) ${0} stop ${0} start ;; *) echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2 exit 1 ;; esac exit 0
Version data entries
87 entries across 87 versions & 1 rubygems